Subject: [link-relations] Fwd: New Version Notification for draft-amundsen-item-and-collection-link-relations-01.txt

From: mike amundsen <[email-masked]>
Date: Thu, 11 Aug 2011 00:30:53 -0400

FYI:

---------- Forwarded message ----------
From:  <[email-masked]>
Date: Wed, Aug 10, 2011 at 22:56
Subject: New Version Notification for
draft-amundsen-item-and-collection-link-relations-01.txt
To: [email-masked]
Cc: [email-masked]

A new version of I-D,
draft-amundsen-item-and-collection-link-relations-01.txt has been
successfully submitted by Mike Amundsen and posted to the IETF
repository.

Filename:        draft-amundsen-item-and-collection-link-relations
Revision:        01
Title:           The Item and Collection Link Relations
Creation date:   2011-08-10
WG ID:           Individual Submission
Number of pages: 5

Abstract:
  RFC 5988 [RFC5988] standardized a means of indicating the
  relationships between resources on the Web. This specification
  defines a pair of reciprocal link relation types that may be used to
  express the relationship between a collection and its members.

Editorial Note (To be removed by RFC Editor)

  Distribution of this document is unlimited.  Comments should be sent
  to the IETF Apps-Discuss mailing list (see
  &lt;https://www.ietf.org/mailman/listinfo/apps-discuss&gt;).

The IETF Secretariat

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 11 Aug 2011 10:10:00 +0300

Mike,

Thanks for this update.  I think the document is ready to progress (see 
http://www.rfc-editor.org/indsubs.html).  The only two issues:

>     [OpenSearch]      Clinton, D., "Open Search 1.1", Work in Progress ,
>                       January 1900,<http://www.opensearch.org/
>                       Specifications/OpenSearch/1.1/>.

Was it actually written in 1900 ;-)?  I think, as we cannot find the 
publication date, the "Undated" label should be sufficient enough here.  
The second:

> 4.  Security Considerations
>
>     See Section 7 of RFC5988 [RFC5988].
>
> 5.  Internationalisation Considerations
>
>     See Section 8 of RFC5988 [RFC5988].

You can put something like this here:

> 4.  Security Considerations
>
>     Two link relation types defined in this document are not believed
>     to introduce any new security issues to those which are discussed
>     in Section 7 of RFC 5988 [RFC5988].
>
> 5.  Internationalisation Considerations
>
>     The 'item' and 'collection' link relations do not have any
>     internationalization considerations other than those which are
>     discussed in Section 8 of RFC 5988.

This suits the current practices of writing RFCs better that your 
variant, IMO.

Mykyta Yevstifeyev

11.08.2011 7:30, mike amundsen wrote:
> From:<[email-masked]>
> To:[email-masked]
> Cc:[email-masked]
> _______________________________________________
> link-relations mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/link-relations
>

---

From: mike amundsen <[email-masked]>
Date: Thu, 11 Aug 2011 05:11:58 -0400

> publication date, the "Undated" label should be sufficient enough here.
Ha! goof catch.

The
> second:
> This suits the current practices of writing RFCs better that your variant,
> IMO.
Will do.